<template>
  <div class="car" id="car">
    <h2 class="car__title">{{ this.car.title }}</h2>
    <div class="card__properties">
      <img :src="this.car.photo" alt="Фото автомобиля" class="card__img"/>
      <div class="card__properties-wrapper">
        <h3 class="card__title">Характеристики</h3>
        <ul class="card__properties-list">
          <li class="card__text">Цена: {{ this.car.cost }}</li>
          <li class="card__text">Марка: {{ this.car.brand_name[0]['name'] }}</li>
          <li class="card__text">Модель: {{ this.car.model_name[0]['name'] }}</li>
          <li class="card__text">Лошадиных сил: {{ this.car.engine_volume }}</li>
          <li class="card__text">Год выпуска: {{ this.car.year_of_issue }}</li>
          <li class="card__text">Цвет: {{ this.car.color }}</li>
        </ul>
      </div>
      <div class="card__properties-wrapper">
        <h3 class="card__title">Контакты</h3>
        <ul class="card__properties-list">
          <li class="card__text">Владелец: {{ this.car.user_name[0]['first_name'] }}</li>
          <li class="card__text">Телефон: {{ this.car.phone_number }}</li>
        </ul>
      </div>
    </div>
    <h3 class="card__title">Описание</h3>
    <p class="card__description">{{ this.car.description }}</p>
  </div>
</template>

<script>
import Vue from "vue";
import axios from "axios";
import VueAxios from "vue-axios";
Vue.use(VueAxios, axios);
export default {
  name: "CarsItemPage",
  props: ['id'],
  data() {
    return {
      car: [],
    };
  },
  methods: {
    GetCars: function () {
      let api = "http://127.0.0.1:8000/api/Cars/" + this.id + "/";
      axios({
        method: "get",
        url: api,
      })
        .then((response) => {
          this.car = response.data;
        })
        .catch((response) => {
          console.log(response);
        });
    },
  },
  mounted() {
    this.GetCars();
  },
};
</script>

<style scoped lang="scss">
$header-and-footer-background: #006d77;
$main-background: #caf0f8;
$card-background: #edf6f9;
$text: #000000;
$button: #ffc300;
$button-hover: #ffd60a;
$button-text: #006d77;
$border: #000000;

.car__title {
  margin: 20px 0;
  text-align: center;
}

.car__list {
  padding: 0;
  min-height: 70vh;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.card {
  max-width: 570px;
  min-height: 300px;
  border: 3px solid $border;
  border-radius: 20px;
  padding: 10px;
  margin: 20px 0;
  background-color: $card-background;
}

.card__link {
  text-decoration: none;
  color: $text;
}

.card__title {
  margin-bottom: 30px;
  text-align: center;
}

.card__properties {
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-wrap: wrap;
}

.card__img {
  width: 500px;
}

.card__properties-list {
  list-style: none;
}

.card__text {
  margin: 20px;
}

.card__description {
  margin: 10px 0 10px 25px;
}

.car {
  border: 3px solid $border;
  border-radius: 20px;
  padding: 10px;
  margin: 10px 50px;
  background-color: $card-background;
  min-height: 75vh;
}
</style>



